高橋征義です。あけましておめでとうございます(いまごろ)

さて、年も改まったということで、cvsupを突っ込み Rubyを1.5にして
みました。すると、ruby-gtk-SNAPSHOT-19991213 の extconf.rb が
失敗するようです。例のArrayの挙動によるもののようですね。

--- extconf.rb.old	Mon Dec  6 00:39:57 1999
+++ extconf.rb	Mon Jan 10 00:35:42 2000
@@ -54,7 +54,7 @@
 # detect location of GDK include files
 #
 gdkincl = nil
-tmpincl = $CFLAGS.gsub(/-D\w+/, '').split('-I') + '/usr/include'
+tmpincl = $CFLAGS.gsub(/-D\w+/, '').split('-I') + ['/usr/include']
 tmpincl.each do |i|
   i.strip!


## .split('-I') << '/usr/include' の方がいいのかな?

さらに、Ruby/Gtk の src/Makefile では $? という変数が使われて
ますが、これは FreeBSD の make では無視されてしまうようです。
これはどう直せばいいのでしょうか?

高橋征義 (TAKAHASHI Masayoshi)   E-mail: maki / open-news.com